Bug 234460 - jython command line tool doesn't work
Summary: jython command line tool doesn't work
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jython   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 13:39 UTC by Anthony Green
Modified: 2018-04-11 12:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-08 00:33:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anthony Green 2007-03-29 13:39:16 UTC
Description of problem:
$ jython
Jython 2.2b1 on java1.5.0 (JIT: null)
Exception in thread "main" java.lang.UnsatisfiedLinkError: libJavaEditline:
/usr/lib/libncurses.so.5: file too short
   at java.lang.Runtime._load(libgcj.so.8rh)
   at java.lang.Runtime.loadLibrary(libgcj.so.8rh)
   at java.lang.System.loadLibrary(libgcj.so.8rh)
   at org.gnu.readline.Readline.load(libreadline-java-0.8.0.jar.so)
   at org.python.util.ReadlineConsole.<init>(jython-2.2.jar.so)
   at org.python.util.ReadlineConsole.<init>(jython-2.2.jar.so)
   at java.lang.Class.newInstance(libgcj.so.8rh)
   at org.python.util.jython.main(jython-2.2.jar.so)


Version-Release number of selected component (if applicable):

jython-2.2-0.3.Release_2_2beta1.1jpp.3.fc7

How reproducible:

Always

Steps to Reproduce:
1. Run jython
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Igor Foox 2007-03-29 15:20:42 UTC
I've had this problem initially but it went away when I upgraded
libreadline-java. What's your version of libreadline-java?


Comment 2 Anthony Green 2007-03-29 15:31:41 UTC
libreadline-java-0.8.0-17.fc7


Comment 3 Igor Foox 2007-03-29 18:32:26 UTC
Try updating to -18, that seems to work for me.

Comment 4 Matěj Cepl 2008-03-04 11:09:38 UTC
Cannot reproduce with jython-2.2-0.4.Release_2_2beta1.1jpp.3.fc9.x86_64 and
libreadline-java-0.8.0-20.fc9.x86_64 on Fedora Rawhide. Shouldn't this be
CLOSED/RAWHIDE?

Comment 5 Andrew Overholt 2008-03-04 13:45:54 UTC
Anthony:  okay to close?

Comment 6 Bug Zapper 2008-05-14 02:42:52 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Brennan Ashton 2008-06-08 00:33:49 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.